## org.apache.xerces.validators.schema.identity
Class IdentityConstraint

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.IdentityConstraint

Direct Known Subclasses:
  Key, KeyRef, Unique

public abstract class IdentityConstraint
extends java.lang.Object

Base class of Schema identity constraint.

Version:
  $Id: IdentityConstraint.java,v 1.4 2001/05/17 20:58:59 neilg Exp $
Author:
  Andy Clark, IBM

Field Summary
`protected java.lang.String` `fElementName` Element name.
`protected int` `fFieldCount` Field count.
`protected Field[]` `fFields` Fields.
`protected java.lang.String` `fIdentityConstraintName` Identity constraint name.
`protected Selector` `fSelector` Selector.
`static short` `KEY` Type: key.
`static short` `KEYREF` Type: key reference.
`static short` `UNIQUE` Type: unique.

Constructor Summary
`protected` `IdentityConstraint(java.lang.String identityConstraintName, java.lang.String elementName)` Default constructor.

Method Summary
`void` `addField(Field field)` Adds a field.
`boolean` `equals(IdentityConstraint id)`
`java.lang.String` `getElementName()` Returns the element name.
`Field` `getFieldAt(int index)` Returns the field at the specified index.
`int` `getFieldCount()` Returns the field count.
`java.lang.String` `getIdentityConstraintName()` Returns the identity constraint name.
`Selector` `getSelector()` Returns the selector.
`abstract short` `getType()` Returns the identity constraint type.
`void` `setSelector(Selector selector)` Sets the selector.
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNIQUE

    public static final short UNIQUE

  Type: unique.

### KEY

    public static final short KEY

  Type: key.

### KEYREF

    public static final short KEYREF

  Type: key reference.

### fIdentityConstraintName

    protected java.lang.String fIdentityConstraintName

  Identity constraint name.

### fElementName

    protected java.lang.String fElementName

  Element name.

### fSelector

    protected Selector fSelector

  Selector.

### fFieldCount

    protected int fFieldCount

  Field count.

### fFields

    protected Field[] fFields

  Fields.

Constructor Detail

### IdentityConstraint

    protected IdentityConstraint(java.lang.String identityConstraintName,
                                 java.lang.String elementName)

  Default constructor.

Method Detail

### getType

    public abstract short getType()

  Returns the identity constraint type.

### getIdentityConstraintName

    public java.lang.String getIdentityConstraintName()

  Returns the identity constraint name.

### getElementName

    public java.lang.String getElementName()

  Returns the element name.

### setSelector

    public void setSelector(Selector selector)

  Sets the selector.

### getSelector

    public Selector getSelector()

  Returns the selector.

### addField

    public void addField(Field field)

  Adds a field.

### getFieldCount

    public int getFieldCount()

  Returns the field count.

### getFieldAt

    public Field getFieldAt(int index)

  Returns the field at the specified index.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(IdentityConstraint id)

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.